WSDiscovery10::Types::Relationship(3pm)

NAME
WSDiscovery10::Types::Relationship

DESCRIPTION
Perl data type class for the XML Schema defined complexType Relationship from the namespace http://schemas.xmlsoap.org/ws/2004/08/addressing.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

METHODS

  new
Constructor. The following data structure may be passed to new():

 { value => $some_value },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class WSDiscovery10::Types::Relationship::_Relationship::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   RelationshipType

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::QName.

AUTHOR
Generated by SOAP::WSDL